<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal" kind="group">
    <compoundname>group_hal</compoundname>
    <title>HAL Drivers</title>
    <innergroup refid="group__group__hal__dma">DMA (Direct Memory Access)</innergroup>
    <innergroup refid="group__group__hal__adc">ADC (Analog to Digital Converter)</innergroup>
    <innergroup refid="group__group__hal__clock">Clock</innergroup>
    <innergroup refid="group__group__hal__comp">COMP (Analog Comparator)</innergroup>
    <innergroup refid="group__group__hal__crc">CRC (Cyclic Redundancy Check)</innergroup>
    <innergroup refid="group__group__hal__dac">DAC (Digital to Analog Converter)</innergroup>
    <innergroup refid="group__group__hal__ezi2c">EZI2C (Inter-Integrated Circuit)</innergroup>
    <innergroup refid="group__group__hal__flash">Flash (Flash System Routine)</innergroup>
    <innergroup refid="group__group__hal__syspm">System Power Management</innergroup>
    <innergroup refid="group__group__hal__gpio">GPIO (General Purpose Input Output)</innergroup>
    <innergroup refid="group__group__hal__hwmgr">HWMGR (Hardware Manager)</innergroup>
    <innergroup refid="group__group__hal__i2c">I2C (Inter-Integrated Circuit)</innergroup>
    <innergroup refid="group__group__hal__i2s">I2S (Inter-IC Sound)</innergroup>
    <innergroup refid="group__group__hal__interconnect">INTERCONNECT (Internal digital routing)</innergroup>
    <innergroup refid="group__group__hal__lptimer">LPTimer (Low-Power Timer)</innergroup>
    <innergroup refid="group__group__hal__opamp">Opamp (Operational Amplifier)</innergroup>
    <innergroup refid="group__group__hal__pdmpcm">PDM/PCM (Pulse-Density Modulation to Pulse-Code Modulation Converter)</innergroup>
    <innergroup refid="group__group__hal__pwm">PWM (Pulse Width Modulator)</innergroup>
    <innergroup refid="group__group__hal__qspi">QSPI (Quad Serial Peripheral Interface)</innergroup>
    <innergroup refid="group__group__hal__quaddec">Quadrature Decoder</innergroup>
    <innergroup refid="group__group__hal__rtc">RTC (Real-Time Clock)</innergroup>
    <innergroup refid="group__group__hal__sdhc">SDHC (SD Host Controller)</innergroup>
    <innergroup refid="group__group__hal__sdio">SDIO (Secure Digital Input Output)</innergroup>
    <innergroup refid="group__group__hal__spi">SPI (Serial Peripheral Interface)</innergroup>
    <innergroup refid="group__group__hal__system">System</innergroup>
    <innergroup refid="group__group__hal__timer">Timer (Timer/Counter)</innergroup>
    <innergroup refid="group__group__hal__trng">TRNG (True Random Number Generator)</innergroup>
    <innergroup refid="group__group__hal__uart">UART (Universal Asynchronous Receiver-Transmitter)</innergroup>
    <innergroup refid="group__group__hal__usb__dev">USB Device</innergroup>
    <innergroup refid="group__group__hal__wdt">WDT (Watchdog Timer)</innergroup>
    <briefdescription>
<para>This section documents the drivers which form the stable API of the Cypress HAL. </para>    </briefdescription>
    <detaileddescription>
<para>In order to remain portable across platforms and HAL versions, applications should rely only on functionality documented in this section. </para>    </detaileddescription>
  </compounddef>
</doxygen>